Page MenuHomePhabricator

Link Task Status to Work board Column
Closed, WontfixPublic

Description

Hi,

Could we request that the status of a task is somehow linked to the tasks position on the work board.

For example, changing the task status to "Ready for Testing" would result in its moving to a respectively named "Ready for Testing" Column in the Work board.

This is like the reverse of T5474: Support workboard column triggers which activate when a task is dropped into a column

Event Timeline

Richmond assigned this task to epriestley.
Richmond raised the priority of this task from to Needs Triage.
Richmond updated the task description. (Show Details)
Richmond added a project: Workboards.
Richmond added a subscriber: Richmond.
qgil added a subscriber: qgil.Oct 28 2014, 1:03 PM
epriestley closed this task as Wontfix.Oct 28 2014, 1:11 PM

We don't plan to implement this. One issue is that it would conflict with T5474, which is a more general and powerful mechanism.

Workboards are not a query result view which shows tasks in columns instead of as a list. We may implement a feature like that eventually, but have no current plans to pursue it. It would likely take shape as "Maniphest > Advanced Search > Show results as [columns, by status]" or similar.

This does not contradict T5474, but compliments it. Both tickets are required to provide seamless operation

T5474: Change status etc when we change the column in the board.

This ticket : Change the column in the board, when we change the ticket status.

sajithvk moved this task from Backlog to Future Work on the Workboards board.Feb 3 2017, 4:50 AM

Request reopen, based on my above comment.

epriestley moved this task from Future Work to Backlog on the Workboards board.Feb 3 2017, 4:52 AM
denghaodna added a subscriber: denghaodna.EditedMar 27 2017, 11:39 AM

Would be happy to see this feature. My company use different team names as columns of the work board. When a task is reassigned from a dev to a tester, I need to manually move it from Dev column to QA column.
With this feature implemented, I would be able to configure a rule that when a task is assigned to a specific person, the task will be automatically moved to a column, say the Dev column for example.

+1 that this is needed and complements T5474.

Would be happy to see this feature. My company use different team names as columns of the work board. When a task is reassigned from a dev to a tester, I need to manually move it from Dev column to QA column.
With this feature implemented, I would be able to configure a rule that when a task is assigned to a specific person, the task will be automatically moved to a column, say the Dev column for example.

From what I see globally each company has quite unique approach to boards and yes feature for herald and other apps to be able to make actions in relation to column would be very nice feature.

Now for your example @denghaodna, I would say it this feature would not fit many other companies and also yours. We have very similar situation, but here's an opposite example, during development you would assign task to someone from test team or analyst team or any other team - problem would be that according you task would be moved for example to TESTING (even thought it is still in development and you are just asking someone to do some additional things or answer a question.